cd "F:\BaiduSyncdisk\博士人生\C已发表论文\9.注册制与中小股东\终稿\一校\代码与数据"

global control  Size Lev ROA Insti SOE Gindex Big4
global option keepsingletons absorb(year indcode) vce (r)
global option2 keepsingletons absorb(year indcode  City) vce (r)
global option3 keepsingletons absorb(year indcode year#indcode) vce (r)
global option4 keepsingletons absorb(year indcode  City year#indcode) vce (r)
global motivation Totalnews Neunews Redability  
global competence HuDongQ HuDongA Baidu
global news Ponews Negnews
global spilloveroption  keepsingletons absorb(year code) vce (r)
global roubst MP MPC MV MVM

*正文表2——注册制改革与中小股东行权意识的基准回归结果
clear all
use 数据.dta,clear
xtset code year 
    *第一列
  reghdfe MSP Reg $control, $option
  estadd local Year_FE "Yes"
  estadd local Industry_FE "Yes"
  est store multi_1

	*第二列
  reghdfe MSP Reg $control,  $option2
  estadd local Year_FE "Yes"
  estadd local Industry_FE "Yes"
  estadd local City_FE "Yes"
  est store multi_2

	*第三列
  reghdfe MSP Reg $control, $option3
  estadd local Year_FE "Yes"
  estadd local Industry_FE "Yes"
  estadd local Year×Ind_FE "Yes"
  est store multi_3


	*第四列
  reghdfe MSP Reg $control, $option4
  estadd local Year_FE "Yes"
  estadd local Industry_FE "Yes"
  estadd local City_FE "Yes"
  estadd local Year×Ind_FE "Yes"
  est store multi_4
	
	
*正文表3——注册制改革与中小股东行权意识的机制检验

*Panel A——IPO注册制改革与中小股东参与治理动力
clear all
use 数据.dta,clear
  foreach i in $motivation {
    reghdfe `i'  Reg  $control  if firm_age==0, $option
	estadd local Year_FE "Yes"
	estadd local Industry_FE "Yes"
	est store motivation_`i'
	}

*Panel B——IPO注册制改革与中小股东信息使用能力
clear all
use 数据.dta, clear
  foreach i in $competence {
    reghdfe `i'  Reg  $control if firm_age==0 , $option
	estadd local Year_FE "Yes"
	estadd local Industry_FE "Yes"
	est store competence_`i'
	}

*表3——表注的正面和负面新闻回归
clear all
use 数据.dta, clear
  foreach i in $news {
    reghdfe `i'  Reg  $control if firm_age==0 , $option
	estadd local Year_FE "Yes"
	estadd local Industry_FE "Yes"
	est store motivation_`i'
	}

*表4——注册制改革与中小股东参与的截面分析

*第一列第二列——投资者情绪CICSI
clear all
use 数据.dta, clear
sort code year 
  reghdfe MSP Reg $control if  Emotion==0 , $option
  eststo emotion1
  reghdfe MSP  Reg $control if  Emotion==1 , $option
  eststo emotion2
  bdiff, group(Emotion) model(reghdfe MSP Reg $control ,$option) reps(1000) seed(1234) bs first detail
  estadd local vardiff = r(bdiff)
  estadd local vardiffpvalue = r(p)
  eststo emotion3


 *第三列第四列——交易所监管问询
clear all
use 数据.dta,clear
sort code year 
  reghdfe MSP Reg $control if  dinquire==0 , $option
  eststo inquire1	
  reghdfe MSP Reg $control if  dinquire==1 , $option
  eststo inquire2
  bdiff,group(dinquire) model(reghdfe MSP Reg $control , $option) reps(1000) seed(1234) bs first detail
  estadd local vardiff = r(bdiff)
  estadd local vardiffpvalue = r(p)
  eststo inquire3


* *第五列第六列——机构投资者持股比例
clear all
use 数据.dta,clear
sort code year 
  reghdfe MSP Reg  $control if  dinsti==0 , $option
  eststo insti1	
  reghdfe MSP Reg   $control if  dinsti==1 , $option
  eststo insti2
  bdiff,group(dinsti) model(reghdfe MSP Reg $control , $option) reps(1000) seed(1234) bs first detail
  estadd local vardiff = r(bdiff)
  estadd local vardiffpvalue = r(p)
  eststo insti3

*附录附表2 注册制改革与中小股东参与回归结果
clear all
  use 数据.dta,clear
  estpost summarize MSP Reg  $control  , detail
	
*附表3——稳健性检验：注册制改革与中小股东参与的溢出效应检验结果	
clear all
  use 溢出效应数据.dta,clear
	reghdfe MSP RSP $control, $spilloveroption
	estadd local Year_FE "Yes"
	estadd local Firm_FE "Yes"
    est store spillover
	
*附表4——稳健性检验：替换中小股东投票衡量方式检验结果
clear all
use 数据.dta,clear
xtset code year 
  foreach i in $roubst {
  reghdfe `i' Reg $control , $option
  estadd local Year_FE "Yes"
  estadd local Industry_FE "Yes"
  est store robust_`i'
}

*附表5——稳健性检验：基于不同匹配方法检验结果
*PSM
clear all
use 数据.dta,clear
  set seed 1234
  gen random=runiform()
  sort random
  psmatch2 Reg $control , logit  n(1) out(MSP) ties caliper(0.1) ate common 
  keep if _weight!=.
  reghdfe MSP Reg $control  , $option
  est store robustPSM1
	
clear all
  use 数据.dta,clear
  set seed 1234
  gen random=runiform()
  sort random
  psmatch2 Reg $control, logit  n(2) out(MSP) ties caliper(0.1) ate common 
  keep if _weight!=.
  reghdfe MSP Reg $control  ,$option
  est store robustPSM2
   
clear all
  use 数据.dta,clear
  set seed 1234
  gen random=runiform()
  sort random
  psmatch2 Reg $control , logit  n(4) out(MSP) ties caliper(0.1) ate common 
  keep if _weight!=.
  reghdfe MSP Reg $control  , $option
  est store robustPSM3  
   
*熵平衡
clear all
  use 数据.dta, clear
  forvalues i = 1/3 {
  ebalance Reg $control, targets(`i')  keep(baltable`i') replace
  reghdfe MSP Reg $control [pweight=_webal], $option
  est store robustEM_`i'
}

*附表6——限制样本公司范围和Bootstrap检验结果

*限制样本公司范围
clear all
  use 数据.dta,clear
  drop if netprofit <0
  reghdfe MSP Reg $control  , $option
  est store robustsample

*Bootstrap检验
clear all
  use 数据.dta,clear
  xi:reg MSP Reg $control i.year i.indcode, vce(bootstrap, seed(1234) reps(1000))
  est store robustboot


